Attribute VB_Name = "IEEE488_DLL"
'****************************************************************************
'                                                                           *
'             ines ieee488 Dynamic Link Library definitions                 *
'                                                                           *
'                                 for                                       *
'                                                                           *
'                 Visual Basic Applications that run under                  *
'                                                                           *
'                    MicroSoft Windows 3.x & Windows 95                     *
'                                                                           *
'                                                                           *
'                    Copyright 1991 - 1996 ines GmbH                        *
'                                                                           *
'****************************************************************************

' ieee488 commands for use with the IeOutCmdByte() function

Global Const IE_GTL = &H1       ' go to local
Global Const IE_SDC = &H4       ' selected pad clear
Global Const IE_PPC = &H5       ' parallel poll configure
Global Const IE_GET = &H8       ' group execute trigger
Global Const IE_TCT = &H9       ' take control
Global Const IE_LLO = &H11      ' local lock out
Global Const IE_DCL = &H14      ' pad clear
Global Const IE_PPU = &H15      ' parallel poll unconfigure
Global Const IE_SPE = &H18      ' serial poll enable
Global Const IE_SPD = &H19      ' serial poll disable
Global Const IE_UNL = &H3F      ' unlisten command
Global Const IE_UNT = &H5F      ' untalk command
Global Const IE_PPE = &H60      ' parallel poll enable
Global Const IE_PPD = &H70      ' parallel poll disable
Global Const IE_MLA = &HA0      ' send boards listener address
Global Const IE_MTA = &HC0      ' send boards talker address

' ieee488 constants

Global Const IE_NOADR = 7       ' perform no addressing on function
Global Const IE_NOSAD = -1      ' seconadry address not used

' ieee488 interpreter function

Declare Function IeInpt Lib "ie488f3w.dll" (ierr%, ByVal cmd$, ip1%, ip2%, ip3%, ByVal sp1$, ByVal sp2$) As Integer

' ieee488 library functions

Declare Function IeAbortio Lib "ie488f3w.dll" (ByVal seven%) As Integer
Declare Function IeClear Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IeDisable Lib "ie488f3w.dll" () As Integer
Declare Function IeEnable Lib "ie488f3w.dll" () As Integer
Declare Function IeEntByte Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%, bval%) As Integer
Declare Function IeEnter Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%, ByVal buffer$, cnt%) As Integer
Declare Function IeEntFile Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%, ByVal path$) As Integer
Declare Function IeHelp Lib "ie488h3w.dll" (ByVal errno%) As Integer
Declare Function IeInit Lib "ie488f3w.dll" (ByVal ioadrs%, ByVal pad%, ByVal intr%, ByVal dma%) As Integer
Declare Function IeLAG Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%) As Integer
Declare Function IeLLO Lib "ie488f3w.dll" () As Integer
Declare Function IeLoc Lib "ie488h3w.dll" (ByVal locator%) As Integer
Declare Function IeLocal Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IeMode Lib "ie488h3w.dll" (ByVal mode%) As Integer
Declare Function IeMyStat Lib "ie488f3w.dll" (ByVal stb%) As Integer
Declare Function IeOutByte Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%, bval%) As Integer
Declare Function IeOutCmd Lib "ie488f3w.dll" (ByVal cmd$) As Integer
Declare Function IeOutCmdByte Lib "ie488f3w.dll" (ByVal cmdbyte%) As Integer
Declare Function IeOutFile Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%, ByVal path$) As Integer
Declare Function IeOutput Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%, ByVal buffer$, cnt%) As Integer
Declare Function IePasCnt Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IePPD Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IePPE Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IePPoll Lib "ie488f3w.dll" (resp%) As Integer
Declare Function IePPU Lib "ie488f3w.dll" () As Integer
Declare Function IeRecCnt Lib "ie488f3w.dll" () As Integer
Declare Function IeRemote Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IeResume Lib "ie488f3w.dll" () As Integer
Declare Function IeSet Lib "ie488f3w.dll" (ByVal pad%, ByVal tmo%, ByVal termin%, ByVal termout%) As Integer
Declare Function IeShadow Lib "ie488f3w.dll" () As Integer
Declare Function IeSPoll Lib "ie488f3w.dll" (ByVal pad%, resp%) As Integer
Declare Function IeStatus Lib "ie488f3w.dll" (status%) As Integer
Declare Function IeTAG Lib "ie488f3w.dll" (ByVal pad%, ByVal sad%) As Integer
Declare Function IeTrigger Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IeUNL Lib "ie488f3w.dll" () As Integer
Declare Function IeUnSet Lib "ie488f3w.dll" (ByVal pad%) As Integer
Declare Function IeUNT Lib "ie488f3w.dll" () As Integer

' parameter     meaning                                 values
'
' buffer        pointer to transfer buffer              -
' bval          pointer to byte transfer buffer         -
' cmd           c-string containing ieee488 commands    (see above)
' cmdbyte       integer containing ieee488 command byte 0-255
' count         number of bytes to transfer             0-32767
' dma           dma channel                             (hardware dependant)
' intr          interrupt line                          (hardware dependant)
' ioadrs        board i/o port                          100h-3f8h
' pad           primary bus address                     700-730 / IE_NOADR
' resp          pointer to poll response buffer         -
' sad           secondary bus address                   0-30 / IE_NOSAD
' seven         constant abortio parameter              7
' status        pointer to status request buffer        -
' stb           device message byte                     (refer to your manual)
' termin        input termination                       (refer to your manual)
' termout       output termination                      (refer to your manual)
' tmo           timeout in ms (no tmo-check if 0)       0-65535
'

' ieee488w.bas end

